#!/bin/sh
#
# Sets up the Allegro package for building with Mingw32 cross-compiler,
# converting text files from CR/LF to LF format.
#

echo "Converting Allegro files to Unix (Mingw32) format..."

find . -type f "(" \
   -name "*.c" -o -name "*.cfg" -o -name "*.cpp" -o -name "*.dep" -o \
   -name "*.h" -o -name "*.hin" -o -name "*.in" -o -name "*.inc" -o \
   -name "*.m4" -o -name "*.mft" -o -name "*.s" -o -name "*.sh" -o \
   -name "*.spec" -o -name "*.pl" -o -name "*.txt" -o -name "*._tx" -o \
   -name "makefile.*" -o -name "readme.*" \
   ")" \
   -exec sh -c "echo {};
		mv {} _tmpfile;
		tr -d \\\r < _tmpfile > {};
		touch -r _tmpfile {}; 
		rm _tmpfile" \;

echo "# generated by fixming.sh" > makefile
echo "MAKEFILE_INC = makefile.mgw" >> makefile
echo "include makefile.all" >> makefile

echo "Done!"
